/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	<stdlib.h>
#include	<stdio.h>
#include	"r64.h"

int
cr_check_level(CR_FILE * f,int level)
{
int ofs;
int w,h;
int i;

	if ( level < 0 )
		return 0;
	if ( level >= LEVEL_OFS_LEN )
		return 0;
	if ( f->level_entry[level] < 0 )
		return 0;
	return 1;
}
